Equity curve history
curl --request GET \
--url https://api.rekko.ai/v1/performance/historyimport requests
url = "https://api.rekko.ai/v1/performance/history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rekko.ai/v1/performance/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"avg_edge": 0.065,
"generated_at": "2026-03-21T15:00:00Z",
"max_drawdown": -145,
"mode": "shadow",
"resolved_trades": 112,
"roi_pct": 8.9,
"sharpe_ratio": 1.82,
"total_pnl": 892.5,
"total_trades": 156,
"win_rate": 0.68
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Analytics
Performance History
Daily P&L time series for equity curve charting.
GET
/
v1
/
performance
/
history
Equity curve history
Query Parameters
Trading mode: 'shadow' or 'live'
Response
Successful Response
Track record summary from shadow or live trading.
Trading mode: 'shadow' or 'live'
Total trades executed
Required range:
x >= 0Trades with known outcomes
Required range:
x >= 0Win rate on resolved trades
Required range:
0 <= x <= 1Total P&L in USD
Return on investment percentage
Average edge on trades
Maximum drawdown in USD
Annualized Sharpe ratio
Daily P&L time series (only on /performance/history)
Show child attributes
Show child attributes
When this summary was generated